require 'be_stat.so'

module BeStat
  
  TYPE_CODE_STRING = {
    B_ANY_TYPE => 'B_ANY_TYPE',
    B_BOOL_TYPE => 'B_BOOL_TYPE',
    B_CHAR_TYPE => 'B_CHAR_TYPE',
    B_COLOR_8_BIT_TYPE => 'B_COLOR_8_BIT_TYPE',
    B_DOUBLE_TYPE => 'B_DOUBLE_TYPE',
    B_FLOAT_TYPE => 'B_FLOAT_TYPE',
    B_GRAYSCALE_8_BIT_TYPE => 'B_GRAYSCALE_8_BIT_TYPE',
    B_INT64_TYPE => 'B_INT64_TYPE',
    B_INT32_TYPE => 'B_INT32_TYPE',
    B_INT16_TYPE => 'B_INT16_TYPE',
    B_INT8_TYPE => 'B_INT8_TYPE',
    B_MESSAGE_TYPE => 'B_MESSAGE_TYPE',
    B_MESSENGER_TYPE => 'B_MESSENGER_TYPE',
    B_MIME_TYPE => 'B_MIME_TYPE',
    B_MONOCHROME_1_BIT_TYPE => 'B_MONOCHROME_1_BIT_TYPE',
    B_OBJECT_TYPE => 'B_OBJECT_TYPE',
    B_OFF_T_TYPE => 'B_OFF_T_TYPE',
    B_PATTERN_TYPE => 'B_PATTERN_TYPE',
    B_POINTER_TYPE => 'B_POINTER_TYPE',
    B_POINT_TYPE => 'B_POINT_TYPE',
    B_RAW_TYPE => 'B_RAW_TYPE',
    B_RECT_TYPE => 'B_RECT_TYPE',
    B_REF_TYPE => 'B_REF_TYPE',
    B_RGB_32_BIT_TYPE => 'B_RGB_32_BIT_TYPE',
    B_RGB_COLOR_TYPE => 'B_RGB_COLOR_TYPE',
    B_SIZE_T_TYPE => 'B_SIZE_T_TYPE',
    B_SSIZE_T_TYPE => 'B_SSIZE_T_TYPE',
    B_STRING_TYPE => 'B_STRING_TYPE',
    B_TIME_TYPE => 'B_TIME_TYPE',
    B_UINT64_TYPE => 'B_UINT64_TYPE',
    B_UINT32_TYPE => 'B_UINT32_TYPE',
    B_UINT16_TYPE => 'B_UINT16_TYPE',
    B_UINT8_TYPE => 'B_UINT8_TYPE',
    B_MEDIA_PARAMETER_TYPE => 'B_MEDIA_PARAMETER_TYPE',
    B_MEDIA_PARAMETER_WEB_TYPE => 'B_MEDIA_PARAMETER_WEB_TYPE',
    B_MEDIA_PARAMETER_GROUP_TYPE => 'B_MEDIA_PARAMETER_GROUP_TYPE',
  }
  def BeStat::TypeCodeString(type)
    
    return TYPE_CODE_STRING[type]
    
  end
  
end

# for compatible for 2000/05/06 ver.

if (defined?(BE_STAT_20000506_VER) && BE_STAT_20000506_VER)
  module BeType
    
    B_ANY_TYPE = BeStat::B_ANY_TYPE
    B_BOOL_TYPE = BeStat::B_BOOL_TYPE
    B_CHAR_TYPE = BeStat::B_CHAR_TYPE
    B_COLOR_8_BIT_TYPE = BeStat::B_COLOR_8_BIT_TYPE
    B_DOUBLE_TYPE = BeStat::B_DOUBLE_TYPE
    B_FLOAT_TYPE = BeStat::B_FLOAT_TYPE
    B_GRAYSCALE_8_BIT_TYPE = BeStat::B_GRAYSCALE_8_BIT_TYPE
    B_INT64_TYPE = BeStat::B_INT64_TYPE
    B_INT32_TYPE = BeStat::B_INT32_TYPE
    B_INT16_TYPE = BeStat::B_INT16_TYPE
    B_INT8_TYPE = BeStat::B_INT8_TYPE
    B_MESSAGE_TYPE = BeStat::B_MESSAGE_TYPE
    B_MESSENGER_TYPE = BeStat::B_MESSENGER_TYPE
    B_MIME_TYPE = BeStat::B_MIME_TYPE
    B_MONOCHROME_1_BIT_TYPE = BeStat::B_MONOCHROME_1_BIT_TYPE
    B_OBJECT_TYPE = BeStat::B_OBJECT_TYPE
    B_OFF_T_TYPE = BeStat::B_OFF_T_TYPE
    B_PATTERN_TYPE = BeStat::B_PATTERN_TYPE
    B_POINTER_TYPE = BeStat::B_POINTER_TYPE
    B_POINT_TYPE = BeStat::B_POINT_TYPE
    B_RAW_TYPE = BeStat::B_RAW_TYPE
    B_RECT_TYPE = BeStat::B_RECT_TYPE
    B_REF_TYPE = BeStat::B_REF_TYPE
    B_RGB_32_BIT_TYPE = BeStat::B_RGB_32_BIT_TYPE
    B_RGB_COLOR_TYPE = BeStat::B_RGB_COLOR_TYPE
    B_SIZE_T_TYPE = BeStat::B_SIZE_T_TYPE
    B_SSIZE_T_TYPE = BeStat::B_SSIZE_T_TYPE
    B_STRING_TYPE = BeStat::B_STRING_TYPE
    B_TIME_TYPE = BeStat::B_TIME_TYPE
    B_UINT64_TYPE = BeStat::B_UINT64_TYPE
    B_UINT32_TYPE = BeStat::B_UINT32_TYPE
    B_UINT16_TYPE = BeStat::B_UINT16_TYPE
    B_UINT8_TYPE = BeStat::B_UINT8_TYPE
    B_MEDIA_PARAMETER_TYPE = BeStat::B_MEDIA_PARAMETER_TYPE
    B_MEDIA_PARAMETER_WEB_TYPE = BeStat::B_MEDIA_PARAMETER_WEB_TYPE
    B_MEDIA_PARAMETER_GROUP_TYPE = BeStat::B_MEDIA_PARAMETER_GROUP_TYPE
    
    TYPE_CODE_STRING = BeStat::TYPE_CODE_STRING
    
    def BeType::TypeCodeString(type)
      
      BeStat::TypeCodeString(type)
      
    end
    
  end

  class BeAttr < BeStat::Attr
    
    alias GetAttrNames GetNames
    alias GetAttrInfo GetInfo
    alias ReadAttr Read
    alias WriteAttr Write
    alias RemoveAttr Remove
    alias RenameAttr Rename
    
  end
end

# EOF
