require 'be_stat'

include BeStat

# open attribute access object
be_attr = Attr::open('tmp.txt')
#be_attr = Attr::new('tmp.txt') # same with BeStat::Attr::open

# set file type
be_attr.SetType('text/plain')

# get file type
puts(be_attr.GetType)

# write attribute
be_attr.Write('attr_test:int',B_INT32_TYPE,3594)
be_attr.Write('attr_test:str',B_STRING_TYPE,'test string')

# get all attribute names
be_attr.GetNames.each do |name|
  
  puts name
  
  # get attribute `type' and `size' information
  p be_attr.GetInfo(name)
  
  # read attribute
  p be_attr.Read(name)
  
end

# rename attribute
be_attr.Rename('attr_test:str','attr_test:str_renamed')

# remove attribute
be_attr.Remove('attr_test:int')

#EOF
